Skip to content
Guides
Fulfillment & ShippingPickup Points
settings:read

Get a pickup point by ID

Returns one pickup point with its address and opening hours.

GET/v1/shipping/pickup-points/{id}

Returns one pickup point with its address and opening hours.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/shipping/pickup-points/7204558912004325301" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "storeId": "7204558912004325301",  "locationId": "7204558912004325301",  "connectionId": "7204558912004325301",  "sellerId": "7204558912004325301",  "isExternal": false,  "externalId": "7204558912004325301",  "name": "Example resource",  "description": "Example description.",  "state": "example",  "city": "example",  "neighborhood": "example",  "postalCode": "example_code",  "address": "example",  "addressNumber": "example",  "reference": "example",  "observations": "example",  "latitude": 1,  "longitude": 1,  "deliveryTimeInMinutes": 1,  "leadTimeInMinutes": 1,  "isSellerPickupPoint": false,  "contactName": "Example resource",  "contactPhone": "+51987654321",  "contactEmail": "andrea@example.com",  "schedule": [    {      "day": "monday",      "openTime": "09:00:00Z",      "closeTime": "09:00:00Z",      "duration": "00:30:00"    }  ],  "hasCoordinates": false,  "status": "inactive",  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z"}